rpiforfun
Posts: 28
Joined: Wed Jan 15, 2014 11:25 pm

apt-get updates kept back and possible concerns?

Mon Mar 02, 2015 10:37 pm

I have found that there are some packages that are not being automatically updated normally. So when I run dist-upgrade it wants to remove a few. I have no idea of their purpose or use.

How should I proceed? I want to be up to date on everything, but removing those packages has me concerned. And I'm not sure how to know if they are required elsewhere.

My pi is being used as a security camera, using the pi camera, python, and mutt.

Code: Select all

[email protected] /media/data/storage $ sudo apt-get dist-upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages will be REMOVED:
  libfm-gtk-bin libfm-gtk1 libfm1
The following NEW packages will be installed:
  init-system-helpers libfm-extra4 libfm-gtk-data libfm-gtk4 libfm-modules libfm4 libpng12-dev libportaudio2 libssh-4 lxpanel-data
The following packages will be upgraded:
  fake-hwclock libfm-data libfreetype6 libfreetype6-dev lxpanel omxplayer pcmanfm wolfram-engine
8 upgraded, 10 newly installed, 3 to remove and 0 not upgraded.
Need to get 237 MB of archives.
After this operation, 3,400 kB of additional disk space will be used.
Do you want to continue [Y/n]? n

User avatar
ioha
Posts: 106
Joined: Tue Feb 24, 2015 10:39 am
Location: Earth

Re: apt-get updates kept back and possible concerns?

Mon Mar 02, 2015 10:41 pm

normally this happens only when the listed packages will not be used by any other software anymore.
so i think you could trust in it. ;)

if you are scared you should create a backup of the sd card image, before you are going to upgrade.
Raspberry Pi 1 Model B+ (since 2014-08-10): Raspbian jessie / Debian 8.1
Raspberry Pi 2 Model B (since 2015-03-10): OpenELEC 5.0.8

rpiforfun
Posts: 28
Joined: Wed Jan 15, 2014 11:25 pm

Re: apt-get updates kept back and possible concerns?

Tue Mar 03, 2015 12:14 am

Thanks, I went package by package upgrading them. Eventually I saw that it was lxpanel driving the REMOVE's. Since I have a headless pi I wasn't too concerned, but I really don't know linux THAT well.

User avatar
ioha
Posts: 106
Joined: Tue Feb 24, 2015 10:39 am
Location: Earth

Re: apt-get updates kept back and possible concerns?

Tue Mar 03, 2015 7:22 am

;)
Raspberry Pi 1 Model B+ (since 2014-08-10): Raspbian jessie / Debian 8.1
Raspberry Pi 2 Model B (since 2015-03-10): OpenELEC 5.0.8

User avatar
rpdom
Posts: 15029
Joined: Sun May 06, 2012 5:17 am
Location: Chelmsford, Essex, UK

Re: apt-get updates kept back and possible concerns?

Tue Mar 03, 2015 7:33 am

It looks like lxpanel is now dependent on libfm4 and associated packages, rather than libfm1, which is why those packages were removed. Nothing to worry about. :)

Return to “Troubleshooting”